/*
 * Copyright (C) 1999 Canek Pelez Valds <canek@abulafia.fciencias.unam.mx>
 * Copyright (C) 2007 Manuel Teira Paz <manuel.teira@telefonica.net>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef CALLBACKS_H
#define CALLBACKS_H

void play_cb(GtkWidget *widget, GsnesData *gsnes_data);
void add_cb(GtkWidget *widget, GsnesData *gsnes_data);
void remove_cb(GtkWidget *widget, GsnesData *gsnes_data);
gint quit_by_close_cb(GtkWidget *app);
void quit_by_menu_cb(GtkWidget *widget, GsnesData *gsnes_data);
void about_cb(GtkWidget *widget, GsnesData *gsnes_data);
void press_key_cb(GtkWidget *widget, GdkEvent *event, GsnesData* gsnes_data);
void select_rom_cb(GtkWidget *clist, gint row, gint col,
                   GdkEventButton *event, GsnesData* gsnes_data);
gint right_select_rom_cb(GtkWidget *clist, GdkEventButton *event,
                         GsnesData* gsnes_data);
gint right_click_pixmap_cb(GtkWidget *clist, GdkEventButton *event,
                           GsnesData* gsnes_data);
void toggle_to_active_cb(GtkWidget *widget, GtkWidget *data);
void resize_pixmap_cb(GtkWidget *widget, GsnesData *gsnes_data);
void popup_menu_detacher(GtkWidget *attach_widget, GtkMenu *menu);

#endif
