/* 
 * Copyright (C) 1999 Canek Pelez Valds <canek@abulafia.fciencias.unam.mx>
 * Copyright (C) 2007 Manuel Teira Paz <manuel.teira@telefonica.net>
 *
 *     This program is free software; you can redistribute it and/or modify
 *     it under the terms of the GNU General Public License as published by
 *     the Free Software Foundation; either version 2 of the License, or
 *     (at your option) any later version.
 *
 *     This program is distributed in the hope that it will be useful,
 *     but WITHOUT ANY WARRANTY; without even the implied warranty of
 *     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *     GNU General Public License for more details.
 *
 *     You should have received a copy of the GNU General Public License
 *     along with this program; if not, write to the Free Software
 *     Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef ROMPREFS_H
#define ROMPREFS_H

void rom_preferences_cb(GtkWidget *widget, GsnesData *gsnes_data);

ROMInfo* rom_info_new();

void rom_repeated(gchar *name, GtkWidget *parent);
void no_rom_file(GtkWidget *parent);
void no_snapfile(GtkWidget *parent);
void no_correct_name(GtkWidget *parent);

#endif

/* romprefs.h ends here. */
